<project name="beantaglibs" default="compile" basedir=".">

<!-- ===================== Property Definitions =========================== -->
  <property name="tomcat.home" value="C:/jakarta-tomcat" />
  <property name="app.home"          value="." />
 
  <property name="src.home"          value="${app.home}/src"/>
  <property name="lib.home"          value="${app.home}/WEB-INF/lib"/>
  <property name="classes.home"       value="${app.home}/WEB-INF/classes"/>
  
<!-- ==================== Compilation Classpath =========================== -->

    <!--
         This section creates the classpath for compilation.
    -->

  <path id="compile.classpath">

    <!-- The object files for this application -->
    <pathelement location="${classes.home}"/>

    <!-- The lib files for this application -->
    <fileset dir="${lib.home}">
      <include name="*.jar"/>
      <include name="*.zip"/>
    </fileset>

    <!-- All files/jars that Tomcat makes available -->
    <fileset dir="${tomcat.home}/common/lib">
      <include name="*.jar"/>
    </fileset>
    <pathelement location="${tomcat.home}/common/classes"/>

  </path>

<!-- ==================== "compile" Target ================================ -->

    <!--
          This only compiles java files that are newer
          than their corresponding .class files.
     -->

  <target name="compile"  >
    <javac srcdir="${src.home}" destdir="${classes.home}" debug="yes" >
        <classpath refid="compile.classpath"/>
    </javac>
  </target>

</project>
